| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

boost::locale::hold_ptr< T > Member List
This is the complete list of members for boost::locale::hold_ptr< T >, including all inherited members.

get() const | boost::locale::hold_ptr< T > | `[inline]`
get() | boost::locale::hold_ptr< T > | `[inline]`
hold_ptr() | boost::locale::hold_ptr< T > | `[inline]`
hold_ptr(T *v) | boost::locale::hold_ptr< T > | `[inline, explicit]`
operator*() const | boost::locale::hold_ptr< T > | `[inline]`
operator*() | boost::locale::hold_ptr< T > | `[inline]`
operator->() const | boost::locale::hold_ptr< T > | `[inline]`
operator->() | boost::locale::hold_ptr< T > | `[inline]`
release() | boost::locale::hold_ptr< T > | `[inline]`
reset(T *p=0) | boost::locale::hold_ptr< T > | `[inline]`
swap(hold_ptr &other) | boost::locale::hold_ptr< T > | `[inline]`
~hold_ptr() | boost::locale::hold_ptr< T > | `[inline]`